@import url('/node_modules/bootstrap/dist/css/bootstrap.css');
@import url('/node_modules/bootstrap/dist/css/bootstrap.css.map');
@import url('/node_modules/bootstrap-icons/font/bootstrap-icons.css');
@import url('city-search.css');
@import url('navbar.css');
@import url('weather.css');
@import url('carousel.css');
@import url('/node_modules/leaflet/dist/leaflet.css');
@import url('/node_modules/ol/ol.css');
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Display:wdth,wght@70,160;70,400;100,100&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400..900&display=swap');

html {
  height: 100% !important;
  font-family: "Noto Sans Display", sans-serif;
  font-size: 16px;
}

html::-webkit-scrollbar {
  display: none;
}

body {
  color: var(--bs-body-color);
  width: 100%;
  height: 100% !important;
  display: flex;
  flex-direction: column;
  padding-top: 57px;
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
  min-height: 100vh;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

[data-bs-theme=dark] {
  --city-search-border-color: rgba(255, 255, 255, 0.2);
  --city-search-focus: rgba(255, 255, 255, 0.3);
  --city-search-focus-border: rgba(255, 255, 255, 0.5);
  --glass-bg: rgba(0, 0, 0, 0.25);
  --glass-border: rgba(255, 255, 255, 0.1);
  --glass-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
  --bs-body-color: #e1e1e1;
  --modal-header-color: #ffffff97;
}

[data-bs-theme=light] {
  --city-search-border-color: rgba(0, 0, 0, 0.1);
  --city-search-focus: rgba(0, 0, 0, 0.2);
  --city-search-focus-border: rgba(0, 0, 0, 0.3);
  --glass-bg: rgba(255, 255, 255, 0.25);
  --glass-border: rgba(255, 255, 255, 0.3);
  --glass-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.15);
  --bs-body-color: #212529;
  --modal-header-color: #000000a0;
}

.brand-text {
  font-size: 1rem;
  font-family: "Orbitron", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}

footer .brand-text {
  font-size: .75rem !important;
}

svg.svg16 {
  height: 1rem;
  width: 1rem;
}

svg.svg24 {
  height: 1.5rem;
  width: 1.5rem;
}

svg.svg32 {
  height: 2rem;
  width: 2rem;
}

svg.svg48 {
  height: 3rem;
  width: 3rem;
}

.menu-toggler {
  padding: var(--bs-navbar-toggler-padding-y) var(--bs-navbar-toggler-padding-x);
  font-size: var(--bs-navbar-toggler-font-size);
  line-height: 1;
  color: var(--bs-navbar-color);
  background-color: transparent;
  transition: var(--bs-navbar-toggler-transition);
  border: none;
}

span.menu-toggle {
  background-image: var(--menu-toggler-bg);
  background-position: center center;
  background-repeat: no-repeat;
  display: block;
  height: 30px;
  width: 24px;
  background-color: #00000000;
  border-radius: 0.375rem;
  border: none;
  transition: .15s ease-in-out;
}

span.menu-toggle:hover,
span.menu-toggle:focus {
  background-image: var(--menu-toggler-bg-hover);
}

button.search-btn {
  background-color: transparent;
  border: none;
  padding: 0 0.5rem 0.5rem;
  opacity: 0.5;
}

button.search-btn:hover,
button.search-btn:focus {
  opacity: 1;
}

#btn-switcher button.btn-close {
  margin-right: 0.3rem;
  margin-top: 0.05rem;
}

.location-dropdown {
  transform: translate(-80%, 80%) !important;
}

.w-33 {
  width: 33% !important;
}

.tooltip {
  --bs-tooltip-bg: var(--bs-gray-800);
  --bs-tooltip-color: var(--bs-body-color);
}

.tooltip-arrow {
  position: absolute !important;
  right: 50% !important;
  transform: translate(50%, 0) !important;
}

#map {
  width: 100%;
  height: 300px;
}

#liveAlertHolder {
  position: fixed;
  top: 15%;
  z-index: 1;
  left: 50%;
  translate: -50%;
}

.weather-alert {
  background: rgba(20, 20, 20, 0.90);
  border-color: rgba(0, 0, 0, 0.95);
}

.places-modal-body>.card-result:hover {
  border-color: rgba(255, 255, 255, 0.85);
  box-shadow: 2px 2px 5px 3px rgba(0, 0, 0, 0.4);
}

button.place-del {
  position: absolute;
  top: -8px;
  left: -10px;
  border: 1px solid;
  padding: 0.25rem;
  z-index: 100;
}

button.place-del:hover {
  border-color: var(--bs-btn-close-color);
}

@keyframes load-rotate {
  100% {
    transform: rotate(360deg);
  }
}

svg>path#ring {
  transform-origin: center center;
  animation: load-rotate infinite linear 1s;
}

svg#weather-loading {
  margin-left: auto;
  margin-right: auto;
  height: 5rem;
  width: 5rem;
}

div#sub {
  position: absolute;
  right: 1rem;
  top: 4rem;
}

button.modal-close-btn {
  background: transparent;
  border: none;
  padding: 0.25rem 0.5rem;
  margin-right: auto;
  opacity: 0.5;
}

button.modal-close-btn:hover,
button.modal-close-btn:focus {
  opacity: 1;
}

.modal-content {
  background-color: #141414 !important;
}

.modal-body.list-group-flush .list-group-item {
  background-color: transparent !important;
  padding: 1rem 1rem;
}

.app-alert {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1000;
  padding: .2rem .15rem .2rem .75rem;
  width: 80%;
  border-radius: 0.35rem;
  border-bottom-right-radius: 2.5rem;
  border-top-right-radius: 2.5rem;
  border: 2px solid #0e0e0e;
  display: flex;
  flex-direction: row;
  background-color: #414141;
  justify-content: space-between;
  align-items: center;
}

.app-alert.app-alert-warning {
  box-shadow: 3px 4px 10px 4px #0e0e0eab;
  background-color: #FFA402 !important;
}

.app-alert.app-alert-success {
  box-shadow: 3px 4px 10px 4px #0e0e0eab;
  background-color: #28a745 !important;
}

.app-alert.app-alert-danger {
  box-shadow: 3px 4px 10px 4px #0e0e0eab;
  background-color: #dc3545 !important;
}

.app-alert.app-alert-info {
  box-shadow: 3px 4px 10px 4px #0e0e0eab;
  background-color: #17a2b8 !important;
}

.app-alert.app-alert-light {
  box-shadow: 3px 4px 10px 4px #0e0e0eab;
  background-color: #f8f9fa !important;
}

.app-alert.app-alert-dark {
  box-shadow: 3px 4px 10px 4px #0e0e0eab;
  background-color: #212529 !important;
}

.app-alert-body {
  border-radius: 0.35rem;
  border-bottom-right-radius: 2rem;
  border-top-right-radius: 2rem;
  font-weight: 500;
  font-family: monospace;
  background-color: #262626;
  font-size: 1rem;
  padding: 0.5rem 1.5rem 0.5rem 0.5rem;
}

button.aa-btn.btn-close {
  position: fixed;
  right: 5%;
  top: 50%;
  transform: translate(0, -50%);
}